> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a ContactStageEvent by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/contactstageevent/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/contactstageevent/{id}:
    get:
      tags:
        - ContactStageEvent
      summary: Get a ContactStageEvent by ID
      operationId: getContactStageEventById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactStageEvent'
          description: ContactStageEvent found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    ContactStageEvent:
      properties:
        actorName:
          type: string
        contactId:
          type: string
        createdAt:
          format: date-time
          type: string
        fromStage:
          type: string
        id:
          type: string
        orgId:
          type: string
        toStage:
          type: string
      required:
        - id
        - orgId
        - contactId
        - toStage
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````